Index: fluid-components/js/fluid/Uploader.js
===================================================================
--- fluid-components/js/fluid/Uploader.js	(revision 5310)
+++ fluid-components/js/fluid/Uploader.js	(working copy)
@@ -1110,11 +1110,17 @@
 		container.ariaState("live","assertive");
 		container.ariaState("busy","false");
 		container.ariaState("valuenow","0");
+		container.ariaState("valuetext","");
 	};
     
     var updateARIA = function(container, percent){
-        container.ariaState("busy",(percent < 100 && percent > 0));			
+        container.ariaState("busy",(percent < 100 && percent > 0));
 	    container.ariaState("valuenow",percent);	
+        if (percent < 100 && percent > 0){
+            container.ariaState("valuetext", "Upload is "+percent+" percent complete");
+        } else{
+            container.ariaState("valuetext", "Upload is complete. To upload more files, click the Add More button.");
+        }
 	};
 
     /* Constructor */
Index: tests/fluid-tests/js/ProgressTests.js
===================================================================
--- tests/fluid-tests/js/ProgressTests.js	(revision 5303)
+++ tests/fluid-tests/js/ProgressTests.js	(working copy)
@@ -125,7 +125,7 @@
 
         });
 
-        progressTests.test("ARIA update", function() {
+        progressTests.test("ARIA numeric update", function() {
             var container = $("#progress-container .total-progress-container");
             createProgressBar();
             jqUnit.assertEquals("Start: busy should be ", "false", container.ariaState("busy"));
@@ -149,5 +149,18 @@
             jqUnit.assertEquals("Done: valuenow should be ", updateValue, container.ariaState("valuenow"));
         });
 
+        progressTests.test("ARIA verbose update", function() {
+            var container = $("#progress-container .total-progress-container");
+            createProgressBar();
+            jqUnit.assertEquals("Start: valuetext should read ", "", container.ariaState("valuetext"));
+
+            var updateValue = 10;
+            progressBar.updateProgress("total",updateValue,"Some Text",true); 
+            jqUnit.assertEquals("Working: valuetext should read ", "Upload is "+updateValue+" percent complete", container.ariaState("valuetext"));
+
+            updateValue = 100;
+            progressBar.updateProgress("total",updateValue,"Some Text",true); 
+            jqUnit.assertEquals("Working: valuetext should read ", "Upload is complete. To upload more files, click the Add More button.", container.ariaState("valuetext"));
+        });
     });
 }) (jQuery);
Index: tests/fluid-tests/Upload-test.html
===================================================================
--- tests/fluid-tests/Upload-test.html	(revision 5303)
+++ tests/fluid-tests/Upload-test.html	(working copy)
@@ -11,6 +11,8 @@
     <script src="../../fluid-components/js/jquery/ui.core.js" type="text/javascript"></script>
 	<script src="../../fluid-components/js/jquery/ui.dialog.js" type="text/javascript"></script>
 	<script src="../../fluid-components/js/jquery/ui.draggable.js" type="text/javascript"></script>
+    <script src="../../fluid-components/js/jquery/jARIA.js" type="text/javascript"></script>
+
 	<script src="../../fluid-components/js/swfupload/swfupload.js" type="text/javascript"></script>
     <script src="../../fluid-components/js/jquery/jARIA.js" type="text/javascript"></script>
     <script src="../../fluid-components/js/fluid/Fluid.js" type="text/javascript"></script>
